aurora-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From wfar...@apache.org
Subject incubator-aurora git commit: Enabling bash -e for vagrant runs
Date Mon, 23 Feb 2015 21:50:26 GMT
Repository: incubator-aurora
Updated Branches:
  refs/heads/master 277ac4315 -> ad211da2f


Enabling bash -e for vagrant runs

Bugs closed: AURORA-1138

Reviewed at https://reviews.apache.org/r/31289/


Project: http://git-wip-us.apache.org/repos/asf/incubator-aurora/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-aurora/commit/ad211da2
Tree: http://git-wip-us.apache.org/repos/asf/incubator-aurora/tree/ad211da2
Diff: http://git-wip-us.apache.org/repos/asf/incubator-aurora/diff/ad211da2

Branch: refs/heads/master
Commit: ad211da2f2490722a10cce95a2bb4fb55fd1c16f
Parents: 277ac43
Author: Thorhallur Sverrisson <toti@toti.is>
Authored: Mon Feb 23 13:49:21 2015 -0800
Committer: Bill Farner <wfarner@apache.org>
Committed: Mon Feb 23 13:49:21 2015 -0800

----------------------------------------------------------------------
 examples/vagrant/aurorabuild.sh           | 7 ++++---
 examples/vagrant/provision-dev-cluster.sh | 9 +++++----
 2 files changed, 9 insertions(+), 7 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-aurora/blob/ad211da2/examples/vagrant/aurorabuild.sh
----------------------------------------------------------------------
diff --git a/examples/vagrant/aurorabuild.sh b/examples/vagrant/aurorabuild.sh
index cb6fb1a..7dc9777 100755
--- a/examples/vagrant/aurorabuild.sh
+++ b/examples/vagrant/aurorabuild.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -e
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -28,8 +28,9 @@ function upstart_update {
   # Stop and start is necessary to update a the configuration of
   # an upstart job.  We'll rarely change the configuration, but
   # it's probably better to do this upfront and avoid surprises/confusion.
-  sudo stop $1
-  sudo start $1
+  # Executing true on failure to please bash -e
+  sudo stop $1  || true
+  sudo start $1 || true
 }
 
 function build_client {

http://git-wip-us.apache.org/repos/asf/incubator-aurora/blob/ad211da2/examples/vagrant/provision-dev-cluster.sh
----------------------------------------------------------------------
diff --git a/examples/vagrant/provision-dev-cluster.sh b/examples/vagrant/provision-dev-cluster.sh
index 0422984..ae50043 100755
--- a/examples/vagrant/provision-dev-cluster.sh
+++ b/examples/vagrant/provision-dev-cluster.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -x
+#!/bin/bash -ex
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -82,9 +82,10 @@ EOF
 }
 
 function start_services {
-  start zookeeper
-  start mesos-master
-  start mesos-slave
+  #Executing true on failure to please bash -e in case services are already running
+  start zookeeper    || true
+  start mesos-master || true
+  start mesos-slave  || true
 }
 
 function prepare_sources {


Mime
View raw message